package com.gingersoft.gsa.cloud.base.common.bean;

import android.graphics.Color;

import com.gingersoft.gsa.cloud.database.bean.Discount;


/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-01-19
 * 修订历史：2020-01-19
 * 描述：
 */
public class BillOrderMoney {

    private String title;
    private double money;
    /**是否已送單#0=未送單;1=已送單*/
    private int status = 0;

    private int textSize;
    private int textColor = Color.parseColor("#000000");
    private int bgColor;

    private byte type = DISCOUNT_TYPE;
    public static final byte DISCOUNT_TYPE = 1;
    public static final byte SERVERCHARGE_TYPE = 2;
    public static final byte ROUNDING_TYPE = 3;

    private Discount discount;

    public BillOrderMoney() {
    }

    public BillOrderMoney(String title, double money, int textSize, int textColor, int bgColor) {
        this.title = title;
        this.money = money;
        this.textSize = textSize;
        this.textColor = textColor;
        this.bgColor = bgColor;
    }

    public BillOrderMoney(String title, double money) {
        this.title = title;
        this.money = money;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public double getMoney() {
        return money;
    }

    public void setMoney(double money) {
        this.money = money;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getTextSize() {
        return textSize;
    }

    public void setTextSize(int textSize) {
        this.textSize = textSize;
    }

    public int getTextColor() {
        return textColor;
    }

    public void setTextColor(int textColor) {
        this.textColor = textColor;
    }

    public int getBgColor() {
        return bgColor;
    }

    public void setBgColor(int bgColor) {
        this.bgColor = bgColor;
    }

    public byte getType() {
        return type;
    }

    public void setType(byte type) {
        this.type = type;
    }

    public Discount getDiscount() {
        return discount;
    }

    public void setDiscount(Discount discount) {
        this.discount = discount;
    }
}


